export class EvaluationSearch {
    year: number;
    state: string;
    unit: string;
    IsUnit: boolean;

    constructor(year: number, state: string, unit: string) {
        this.year = year;
        this.state = state;
        this.unit = unit;
    }

    getYearDisplay(): string {
        if (this.year === 0) {
            return 'Nezáleží';
        }
        return this.year.toString();
    }

    getStateDisplay(): string {
        if (this.state === 'draft') {
            return 'Rozpracované';
        }
        if (this.state === 'closed') {
            return 'Odevzdané';
        }
        return 'Nezáleží';
    }

    getUnitDisplay(): string {
        if (this.unit === 'MyUnit') {
            return 'Moje jednotka';
        }
        if (this.unit === 'ChildUnits') {
            return 'Podřízené jednotky';
        }
        if (this.unit === 'ParentUnits') {
            return 'Nadřízené jednotky';
        }
    }
}
